summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-11-21 12:32:08 +0100
committerDavid Seifert <soap@gentoo.org>2016-11-26 13:39:55 +0100
commitd9a792586fe09e079b6765c67722950d3f1e2526 (patch)
tree32446d2bcaad3628b568e404ad262905b3a79256 /app-benchmarks/tiobench/tiobench-0.4.2.ebuild
parentwww-client/vivaldi: Old. (diff)
downloadgentoo-d9a792586fe09e079b6765c67722950d3f1e2526.tar.gz
gentoo-d9a792586fe09e079b6765c67722950d3f1e2526.tar.bz2
gentoo-d9a792586fe09e079b6765c67722950d3f1e2526.zip
app-benchmarks/tiobench: 0.4.2 version bump, fix build w/ GCC-5
Gentoo-bug: 520986, 570842 * Also fix perl shebangs to be more portable Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/2878
Diffstat (limited to 'app-benchmarks/tiobench/tiobench-0.4.2.ebuild')
-rw-r--r--app-benchmarks/tiobench/tiobench-0.4.2.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/app-benchmarks/tiobench/tiobench-0.4.2.ebuild b/app-benchmarks/tiobench/tiobench-0.4.2.ebuild
new file mode 100644
index 00000000000..7d9805682cb
--- /dev/null
+++ b/app-benchmarks/tiobench/tiobench-0.4.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Portable, robust, fully-threaded I/O benchmark program"
+HOMEPAGE="https://github.com/mkuoppal/tiobench"
+SRC_URI="https://github.com/mkuoppal/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc5.patch
+ "${FILESDIR}"/${P}-fix-perl-shebang.patch
+)
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:/usr/local/bin:${EPREFIX}/usr/sbin:" tiobench.pl \
+ || die "sed tiobench.pl failed"
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ LINK="$(tc-getCC)" \
+ DEFINES="-DLARGEFILES" \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dosbin tiotest tiobench.pl scripts/tiosum.pl
+ einstalldocs
+}